From: Alexandru Juncu <alexj@rosedu.org>
To: unlisted-recipients:; (no To-header on input)
Cc: alexj@rosedu.org, linux-kernel@vger.kernel.org
Subject: [RFC] Script for isolating maintainer email.
Date: Sat, 13 Jul 2013 10:40:41 +0300 [thread overview]
Message-ID: <1373701241-6499-1-git-send-email-alexj@rosedu.org> (raw)
Hello!
I found the need for a script that doesn't require me to copy part of the
output from get_maintainer.pl into git send-email and could do both with
one command.
I don't know if there is something similar already implemented. If there is,
please point me to it. If not, maybe somebody finds it useful.
Used on top of get_maintainer.pl, it generates the list of
emails required for git send-email.
The output can be used as a process expansion into the arguments of
git send-email. Example:
git send-email $(scripts/get_email.sh my.patch) my.patch
Signed-off-by: Alexandru Juncu <alexj@rosedu.org>
---
scripts/get_email.sh | 24 ++++++++++++++++++++++++
1 file changed, 24 insertions(+)
create mode 100755 scripts/get_email.sh
diff --git a/scripts/get_email.sh b/scripts/get_email.sh
new file mode 100755
index 0000000..a71d56d
--- /dev/null
+++ b/scripts/get_email.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [ -e scripts/get_maintainer.pl ]; then
+ if [ $# -lt 1 ]; then
+ echo "Script needs a patch file as a parameter."
+ exit 1
+fi
+
+ IFS=$'\n'
+ for line in $(scripts/get_maintainer.pl $1); do
+ email_regexp="\b[a-zA-Z0-9.-]+@[a-zA-Z0-9.-]+\.[a-zA-Z0-9.-]+\b"
+ email=$(grep -E -o $email_regexp<<<$line)
+ if [ $(grep "maintainer" <<< $line) ]; then
+ list="$list --to $email"
+ else
+ list="$list --cc $email"
+ fi
+ done
+ echo $list
+
+else
+ echo "You should run this from the root of the source tree."
+ exit 1
+fi
--
1.7.10.4
next reply other threads:[~2013-07-13 7:41 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-07-13 7:40 Alexandru Juncu [this message]
2013-07-13 8:01 ` [RFC] Script for isolating maintainer email Borislav Petkov
2013-07-13 8:05 ` Alexandru Juncu
2013-07-13 8:17 ` Borislav Petkov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1373701241-6499-1-git-send-email-alexj@rosedu.org \
--to=alexj@rosedu.org \
--cc=linux-kernel@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox